Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class Grid

    java.lang.Object
      org.deegree.model.coverage.grid.Grid

    public class Grid

extends Object

the class encapsulates a describtion of a grid containing the grids size (grid envelope) and the names of the grids axis.

Since:
  1.1
Version:
  1.1, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Constructor Summary
`Grid(Envelope gridEnvelope, String[] axisNames)`

Method Summary
`String[]` | `getAxisNames()` returns the names of the axis of the grid.
`Envelope` | `getGridEnvelope()` returns the envelope of the grid
`void` | `setAxisNames(String[] axisNames)` sets the names of the grids axis.
`void` | `setGridEnvelope(Envelope gridEnvelope)` sets the envelope of the grid

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Grid

    public Grid(Envelope gridEnvelope,
                String[] axisNames)

Parameters:
  `gridEnvelope` -
  `axisNames` -

Method Detail

### getAxisNames

    public String[] getAxisNames()

  returns the names of the axis of the grid. A grid must have at least two dimension (axis). The number of axis is identical to the dimension of the positions of the grid envelope

  Returns:
    the names of the axis of the grid.

### setAxisNames

    public void setAxisNames(String[] axisNames)

  sets the names of the grids axis. A grid must have at least two dimension (axis). The number of axis must be identical to the dimension of the positions of the grid envelope

  Parameters:
    `axisNames` -

### getGridEnvelope

    public Envelope getGridEnvelope()

  returns the envelope of the grid

  Returns:
    the envelope of the grid

### setGridEnvelope

    public void setGridEnvelope(Envelope gridEnvelope)

  sets the envelope of the grid

  Parameters:
    `gridEnvelope` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org